- Qt 5.15
- Qt Virtual Keyboard
- C++ Classes
- QVirtualKeyboardExtensionPlugin
- Qt Virtual Keyboard | Commercial or GPLv3

# QVirtualKeyboardExtensionPlugin Class

Extension plugin for the Qt Virtual Keyboard. More...

Header: | #include <QVirtualKeyboardExtensionPlugin>
qmake: | QT += virtualkeyboard

- List of all members, including inherited members

## Public Functions

virtual void | registerTypes(const char *uri) const

## Detailed Description

Extension plugin allows customizing and extending the Qt Virtual Keyboard functionality. Extension plugin can provide additional keyboard layouts and input methods.

Virtual keyboard loads all the extension plugins at startup. It searches for `plugins/virtualkeyboard` directory and matches the metadata found in the plugin. If there are two or more extension plugins with the same `Name`, it loads the one with the highest `Version` number.

See also Virtual Keyboard Extension Plugin.

## Member Function Documentation

### `[virtual]` void QVirtualKeyboardExtensionPlugin::registerTypes(const char *uri) const

If the plugin metadata contains `InputMethod` field defining an input method name, Qt Virtual Keyboard will call registerTypes() for registering the input method as QML type. The type must be registered with a uri if the input method is used by the default keyboard layouts. If the input method type is only used in private layouts (known only by the plugin), the uri can be omitted and chosen freely.